signature SIMPLE_PROOFS =
sig
  include DEFINITIONS

  val projl : 'a * 'b -> 'a
  val projr : 'a * 'b -> 'b

  val conj_over_conj_left : 'a * ('b * 'c) -> ('a * 'b) * ('a * 'c)
  val conj_over_conj_right : ('a * 'b) * ('a * 'c) -> 'a * ('b * 'c)
  val imp_over_imp   : ('a -> 'b -> 'c) -> ('a -> 'b) -> 'a -> 'c
  val schoenfinkel_left : ('a -> 'b -> 'c) -> ('a * 'b -> 'c)
  val schoenfinkel_right : ('a * 'b -> 'c) -> ('a -> 'b -> 'c)
end
