signature PROOFS =
sig
  include DEFINITIONS

  val conj_over_disj_left : 'a * ('b,'c) or -> ('a * 'b,'a * 'c) or
  val conj_over_disj_right : ('a * 'b,'a * 'c) or -> ('a * ('b,'c) or)

  val demorgan_cong  : ('a not, 'b not) or -> ('a * 'b) not
  val demorgan_disj_left  : ('a,'b) or not -> ('a not) * ('b not)
  val demorgan_disj_right : ('a not) * ('b not) -> ('a,'b) or not

  val contrapos      : ('a -> 'b) -> ('b not -> 'a not)
end
